> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Raw Trace

` GET /blockscout/transactions/{transaction_hash}/raw-trace `

Get Transaction Raw Trace

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` transaction_hash ` (path, required)

- ` value `: type ` string `

## Responses

### ` 200 ` — Raw Trace

Content type: ` application/json `

- ` value `: type ` array `

  - ` array item `: type ` object `

    - Required fields: ` action `, ` subtraces `, ` traceAddress `, ` type `

    - ` action `: type ` unknown `

      - ` oneOf alternative 1 `: type ` object `

        - Required fields: ` callType `, ` to `, ` from `, ` input `, ` gas `, ` value `

        - ` callType `: type ` string `

          - example: ` "call" `

        - ` to `: type ` string `

          - example: ` "0x162e898bd0aacb578c8d5f8d6ca588c13d2a383f" `

        - ` from `: type ` string `

          - example: ` "0xf57b55b01b831e602e09674a4e5d69cbcf343f98" `

        - ` input `: type ` string `

          - example: ` "0x630cea8e000000000000000000000000000000000000000000000000000000000000004000000000000000000000000000000000000000000000000000000000000000c00000000000000000000000000000000000000000000000000000000000000041c25b36779231e71769118210c3eb64c0a9c7577b925b309af3183e13acc7cf30210493d13c8c6c3c0bd337d5e39e454fece0c301f0aedb6c43c7a37650ac83e71c00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000019500050000f0add9e5dc02faeca12e9669f045685449d6b80a000000000000744359447362798334d3485c64d1e4870fde2ddc0d75f0b456250dc9990662a6f25808cc74a6d1131ea9000927c001018064382ae87cdd000000000000000000000000bab3cbdcbcc578445480a79ed80269c50bb5b71800000000000000000000000000000000000000000000000000000000000000c000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000012000000000000000000000000351af1631aa5ea1ca62ad8a4e3cd87128d4d910800000000000000000000000000000000000000000000005b8decde02914ce837000000000000000000000000000000000000000000000000000000000000001e4d45444f4f5a412045636f73797374656d2076322e30206f6e2078446169000000000000000000000000000000000000000000000000000000000000000000044d445a41000000000000000000000000000000000000000000000000000000000000000000000000000000" `

        - ` gas `: type ` string `

          - example: ` "0x25D3FC" `

        - ` value `: type ` string `

          - example: ` "0x0" `

      - ` oneOf alternative 2 `: type ` object `

        - Required fields: ` from `, ` gas `, ` init `, ` value `

        - ` from `: type ` string `

          - example: ` "0xf57b55b01b831e602e09674a4e5d69cbcf343f98" `

        - ` gas `: type ` string `

          - example: ` "0x25D3FC" `

        - ` init `: type ` string `

          - example: ` "0x630cea8e000000000000000000000000000000000000000000000000000000000000004000000000000000000000000000000000000000000000000000000000000000c00000000000000000000000000000000000000000000000000000000000000041c25b36779231e71769118210c3eb64c0a9c7577b925b309af3183e13acc7cf30210493d13c8c6c3c0bd337d5e39e454fece0c301f0aedb6c43c7a37650ac83e71c00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000019500050000f0add9e5dc02faeca12e9669f045685449d6b80a000000000000744359447362798334d3485c64d1e4870fde2ddc0d75f0b456250dc9990662a6f25808cc74a6d1131ea9000927c001018064382ae87cdd000000000000000000000000bab3cbdcbcc578445480a79ed80269c50bb5b71800000000000000000000000000000000000000000000000000000000000000c000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000012000000000000000000000000351af1631aa5ea1ca62ad8a4e3cd87128d4d910800000000000000000000000000000000000000000000005b8decde02914ce837000000000000000000000000000000000000000000000000000000000000001e4d45444f4f5a412045636f73797374656d2076322e30206f6e2078446169000000000000000000000000000000000000000000000000000000000000000000044d445a41000000000000000000000000000000000000000000000000000000000000000000000000000000" `

        - ` value `: type ` string `

          - example: ` "0x0" `

      - ` oneOf alternative 3 `: type ` object `

        - Required fields: ` address `, ` balance `, ` refundAddress `

        - ` address `: type ` string `

          - example: ` "0xf57b55b01b831e602e09674a4e5d69cbcf343f98" `

        - ` balance `: type ` string `

          - example: ` "0x25D3FC" `

        - ` refundAddress `: type ` string `

          - example: ` "0x162e898bd0aacb578c8d5f8d6ca588c13d2a383f" `

    - ` subtraces `: type ` integer `

      - example: ` 0 `

    - ` traceAddress `: type ` array `

      - example: ` [0,0] `

      - ` array item `: type ` integer `

    - ` type `: type ` string `

      - example: ` "call" `

    - ` error `: type ` string `

      - example: ` "Reverted" `

    - ` result `: type ` unknown `

      - ` oneOf alternative 1 `: type ` object `

        - Required fields: ` gasUsed `, ` output `

        - ` gasUsed `: type ` string `

          - example: ` "0x25D3FC" `

        - ` output `: type ` string `

          - example: ` "0x0" `

      - ` oneOf alternative 2 `: type ` object `

        - Required fields: ` address `, ` code `, ` gasUsed `

        - ` address `: type ` string `

          - example: ` "0xf57b55b01b831e602e09674a4e5d69cbcf343f98" `

        - ` code `: type ` string `

          - example: ` "0x25D3FC" `

        - ` gasUsed `: type ` string `

          - example: ` "0x25D3FC" `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/transactions/string/raw-trace'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/transactions/string/raw-trace', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/transactions/string/raw-trace')
print(response.json())
```